/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_OPERGRUPOP                                               */
/* Tabela : OPERGRUPOP                                                        */
/*                                                                            */
/* Criao:                                                                   */
/*                                                                            */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_OPERGRUPOP
BEFORE INSERT OR UPDATE OR DELETE
ON OPERGRUPOP FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUOPGR := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDGRUPOPER,0) <> NVL(:NEW.CDGRUPOPER,0)) OR
         (NVL(:OLD.IDMENUPRINOP,0) <> NVL(:NEW.IDMENUPRINOP,0)) OR
         (NVL(:OLD.CDOPERADOR,0) <> NVL(:NEW.CDOPERADOR,0)) THEN
         :NEW.DTULTATUOPGR := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('OPERGRUPOP', '', 'CDGRUPOPER='||:OLD.CDGRUPOPER||';CDOPERADOR='||:OLD.CDOPERADOR||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE OPERGRUPOP MODIFY DTULTATUOPGR DEFAULT SYSDATE
/
