/*
-- =====================================================================
-- CUSTOREC - Custo das Receitas
-- =====================================================================
*/
-- EXECUTE CUSTOREC(:V_CDSEQCUSRE,'',:V_SEQITEM,'G','S','S','9999','6227','','','','','','P','0000002885','','',1.0,'12/07/2002','998',
--                  :VRCUSULCLIQGER_SAP,:VRCUSULCLIQGER_CAP,:VRCUSULCBRUGER_SAP,:VRCUSULCBRUGER_CAP,:VRCUSMEDLIQGER_SAP,:VRCUSMEDLIQGER_CAP,
--                  :VRCUSMEDBRUGER_SAP,:VRCUSMEDBRUGER_CAP,:VRCUSULCLIQCIA_SAP,:VRCUSULCLIQCIA_CAP,:VRCUSULCBRUCIA_SAP,:VRCUSULCBRUCIA_CAP,
--                  :VRCUSMEDLIQCIA_SAP,:VRCUSMEDLIQCIA_CAP,:VRCUSMEDBRUCIA_SAP,:VRCUSMEDBRUCIA_CAP)

CREATE OR REPLACE PROCEDURE CUSTOREC(
P_CDSEQCUSRE IN OUT CUSTOSEMA.CDSEQCUSSE%TYPE, -- Deve ser passado para o parmetro '0000000000'.
P_IDTIPMAN   IN VARCHAR DEFAULT 'M', -- 'M' - Manual Aprovado; 'A' - Manual da Apresentao.
P_CDSEQITEM  IN OUT NUMBER,
P_IDTPCUSTO  IN VARCHAR DEFAULT 'G', -- 'G' - Geral; 'C' - Companhia; 'T' - Padro e Companhia.
P_IDINSEREP  IN VARCHAR DEFAULT 'N', -- 'S' - Insere Produto; 'N' - No Insere Produto; 'P' - Insere Somente os Produtos Principais.
P_IDINSERER  IN VARCHAR DEFAULT 'N', -- 'S' - Insere Receita; 'N' - No Insere Receita; 'P' - Insere Somente as Receitas Principais.
P_CDFILIAL   IN FILIAL.CDFILIAL%TYPE,
P_CDCIA      IN COMPANHIA.CDCIA%TYPE,
P_CDMANCIA   IN MANUALCIA.CDMANCIA%TYPE DEFAULT NULL,
P_CDSERVICO  IN SERVMANUAL.CDSERVICO%TYPE DEFAULT NULL,
/*P_CDCLASSE   IN SERVMANUAL.CDCLASSE%TYPE DEFAULT NULL,
P_CDCICLO    IN SERVMANUAL.CDCICLO%TYPE DEFAULT NULL,*/
P_CDSUBGRU   IN SUBGRUSEMA.CDSUBGRU%TYPE DEFAULT NULL,
P_CDRECEITA  IN RECEITA.CDRECEITA%TYPE,
P_CDRECPRI   IN CUSTORECEITA.CDRECPRI %TYPE DEFAULT NULL,
P_QTDERECE   IN RENDPADRAO.QTRENDRECPAD%TYPE,
P_DTCUSTO    IN DATE,
P_CDOPERADOR IN OPERADOR.CDOPERADOR%TYPE,

VRCUSULCLIQGER_SAP OUT NUMBER,
VRCUSULCLIQGER_CAP OUT NUMBER,
VRCUSULCBRUGER_SAP OUT NUMBER,
VRCUSULCBRUGER_CAP OUT NUMBER,
VRCUSMEDLIQGER_SAP OUT NUMBER,
VRCUSMEDLIQGER_CAP OUT NUMBER,
VRCUSMEDBRUGER_SAP OUT NUMBER,
VRCUSMEDBRUGER_CAP OUT NUMBER
) AS
V_CDSEQCUSRE        VARCHAR2(20);
V_IDTIPRECE         CUSTORECEITA.IDTIPRECE%TYPE;
V_IDINSEREP         VARCHAR(1);
V_IDINSERER         VARCHAR(1);
V_CDMANCIA          MANUALCIA  .CDMANCIA%TYPE;
V_CDMANAP           MANUALCIAAP.CDMANAP%TYPE;

V_CDPRODUTO         PRORECEITA.CDPRODUTO%TYPE;
V_SGUNIDADE         PRORECEITA.SGUNIDADE%TYPE;
V_QTPRODREC         PRORECEITA.QTPRODREC%TYPE;
V_QTAPROVPRO        PRODUTO.VRPEFATOCORR%TYPE;

V_CDSUBREC          SUBRECEITA.CDSUBREC%TYPE;
V_QTRENDSREC        SUBRECEITA.QTRENDSUBREC%TYPE;

V_QTRENDREC         RENDPADRAO.QTRENDRECPAD%TYPE;
V_QTAPROREC         RENDPADRAO.QTAPRORECPAD%TYPE;

V_RECEPRI VARCHAR2(10);
V_SEQ NUMBER;
V_CUSULCLIQP_SAP    NUMBER;
V_CUSULCLIQP_CAP    NUMBER;
V_CUSULCBRUP_SAP    NUMBER;
V_CUSULCBRUP_CAP    NUMBER;
V_CUSMEDLIQP_SAP    NUMBER;
V_CUSMEDLIQP_CAP    NUMBER;
V_CUSMEDBRUP_SAP    NUMBER;
V_CUSMEDBRUP_CAP    NUMBER;

V_CUSULCLIQP_TSAP    NUMBER;
V_CUSULCLIQP_TCAP    NUMBER;
V_CUSULCBRUP_TSAP    NUMBER;
V_CUSULCBRUP_TCAP    NUMBER;
V_CUSMEDLIQP_TSAP    NUMBER;
V_CUSMEDLIQP_TCAP    NUMBER;
V_CUSMEDBRUP_TSAP    NUMBER;
V_CUSMEDBRUP_TCAP    NUMBER;

V_CUSULCLIQGER_SAP  NUMBER;
V_CUSULCLIQGER_CAP  NUMBER;
V_CUSULCBRUGER_SAP  NUMBER;
V_CUSULCBRUGER_CAP  NUMBER;
V_CUSMEDLIQGER_SAP  NUMBER;
V_CUSMEDLIQGER_CAP  NUMBER;
V_CUSMEDBRUGER_SAP  NUMBER;
V_CUSMEDBRUGER_CAP  NUMBER;

V_CUSULCLIQGERT_SAP NUMBER;
V_CUSULCLIQGERT_CAP NUMBER;
V_CUSULCBRUGERT_SAP NUMBER;
V_CUSULCBRUGERT_CAP NUMBER;
V_CUSMEDLIQGERT_SAP NUMBER;
V_CUSMEDLIQGERT_CAP NUMBER;
V_CUSMEDBRUGERT_SAP NUMBER;
V_CUSMEDBRUGERT_CAP NUMBER;

V_IDTPCUSTO VARCHAR2(1);

/* Produto Padro */
CURSOR C_PROPAD IS

SELECT P.CDPRODUTO, P.SGUNIDADE, C.QTINSUMO AS QTPRODREC
  FROM COMPPROD C
       INNER JOIN PRODUTO P ON P.CDPRODUTO = C.CDPRODINSUMO
 WHERE (C.CDPRODUTO = P_CDRECEITA) AND (IDPRODCOMISS IS NULL);
 
/* Produto Local */
CURSOR C_PROLOC IS
SELECT P.CDPRODUTO, P.SGUNIDADE, C.QTINSUMO AS QTPRODLOC
  FROM COMPPROD C
       INNER JOIN PRODUTO P ON P.CDPRODUTO = C.CDPRODINSUMO
 WHERE (C.CDPRODUTO = P_CDRECEITA) AND (IDPRODCOMISS IS NULL);

/* Receita Padro */
CURSOR C_RECPAD IS
SELECT C.CDPRODINSUMO AS CDSUBREC, C.QTINSUMO AS QTRENDSUBREC
FROM COMPPROD C
     INNER JOIN PRODUTO P ON P.CDPRODUTO = C.CDPRODINSUMO    
WHERE (C.CDPRODUTO = P_CDRECEITA) AND (P.IDPRODCOMISS = '3');

/* Receita Local */
CURSOR C_RECLOC IS
SELECT C.CDPRODINSUMO AS CDSUBRECLOC, C.QTINSUMO AS QTRENDSUBLOC
FROM COMPPROD C
     INNER JOIN PRODUTO P ON P.CDPRODUTO = C.CDPRODINSUMO    
WHERE (C.CDPRODUTO = P_CDRECEITA) AND (P.IDPRODCOMISS = '3');

BEGIN
	V_IDTPCUSTO := NVL(P_IDTPCUSTO,'G');

	IF ((P_IDINSEREP <> 'N' ) OR
       (P_IDINSERER <> 'N' )) THEN

      IF P_CDSEQITEM IS NULL THEN
         P_CDSEQITEM := 0;
      END IF;
      P_CDSEQITEM := P_CDSEQITEM + 1;

      IF (P_CDSEQCUSRE = '0000000000') THEN
         NOVO_CODIGO('CUSTOSCOC'||P_CDFILIAL,V_CDSEQCUSRE,1);
         P_CDSEQCUSRE := SUBSTR(V_CDSEQCUSRE,11,10);
      END IF;      
      
   END IF;
   
   V_RECEPRI := P_CDRECPRI;
   
   IF V_RECEPRI IS NULL THEN
      V_RECEPRI := P_CDRECEITA;
   END IF;
   
   /*Apaga custo salvo na receita caso seja feito o reclculo*/
   IF P_CDSEQCUSRE = 'CUSTOSALVO' AND (V_RECEPRI = P_CDRECEITA) THEN
      DELETE FROM CUSTOPRODUTO WHERE CDSEQCUSPR = 'CUSTOSALVO'
                                 AND CDRECPRIP = V_RECEPRI;
      DELETE FROM CUSTORECEITA WHERE CDSEQCUSRE = 'CUSTOSALVO' 
                                 AND CDRECPRI = V_RECEPRI;
   END IF;

	IF P_IDINSEREP = 'P' THEN
		V_IDINSEREP := 'N';
   ELSE
		V_IDINSEREP := P_IDINSEREP;
   END IF;

	IF P_IDINSERER = 'P' THEN
		V_IDINSERER := 'N';
   ELSE
		V_IDINSERER := P_IDINSERER;
   END IF;

   V_IDTIPRECE        := '1';

   V_QTRENDREC        := 0;

   V_CUSULCLIQGERT_SAP := 0;
   V_CUSULCLIQGERT_CAP := 0;
   V_CUSULCBRUGERT_SAP := 0;
   V_CUSULCBRUGERT_CAP := 0;
   V_CUSMEDLIQGERT_SAP := 0;
   V_CUSMEDLIQGERT_CAP := 0;
   V_CUSMEDBRUGERT_SAP := 0;
   V_CUSMEDBRUGERT_CAP := 0;

   /* Rendimento Local */
   SELECT NVL(MAX(QTRENDRECLOC),0),NVL(MAX(QTAPRORECLOC),0)
   INTO V_QTRENDREC,V_QTAPROREC
   FROM RENDLOCAL
   WHERE (CDFILIAL  = P_CDFILIAL ) AND
         (CDRECEITA = P_CDRECEITA);
   IF V_QTRENDREC = 0 THEN
      /* Rendimento Padro */
      SELECT NVL(MAX(QTRENDRECPAD),0),NVL(MAX(QTAPRORECPAD),0)
      INTO V_QTRENDREC,V_QTAPROREC
      FROM RENDPADRAO
      WHERE (CDRECEITA = P_CDRECEITA);

      IF V_QTRENDREC <> 0 THEN
         /* Padro */
         OPEN C_PROPAD;
         OPEN C_RECPAD;
         V_IDTIPRECE := '1';
      END IF;
   ELSE
      /* Local */
      OPEN C_PROLOC;
      OPEN C_RECLOC;
      V_IDTIPRECE := '2';
   END IF;

   IF P_IDTIPMAN = 'M' THEN
      V_CDMANCIA := P_CDMANCIA;
      V_CDMANAP  := NULL;
   ELSIF P_IDTIPMAN = 'A' THEN
      V_CDMANCIA := NULL;
      V_CDMANAP  := P_CDMANCIA;
   END IF;

   /* Geral */
   IF V_QTRENDREC <> 0 THEN
--raise_application_error( -20502, 'V_QTRENDREC', false);
      LOOP
         IF C_PROPAD%ISOPEN THEN
            FETCH C_PROPAD
            INTO
            V_CDPRODUTO,V_SGUNIDADE,V_QTPRODREC;
            EXIT WHEN C_PROPAD%NOTFOUND;
         ELSIF C_PROLOC%ISOPEN THEN
            FETCH C_PROLOC
            INTO
            V_CDPRODUTO,V_SGUNIDADE,V_QTPRODREC;
            EXIT WHEN C_PROLOC%NOTFOUND;
         END IF;

         CUSTOPROD(P_CDFILIAL,P_CDCIA,V_CDPRODUTO,
                   P_DTCUSTO,V_SGUNIDADE,V_QTPRODREC,
                   V_QTAPROVPRO,
                   V_CUSULCLIQP_SAP,V_CUSULCLIQP_CAP,
                   V_CUSULCBRUP_SAP,V_CUSULCBRUP_CAP,
                   V_CUSMEDLIQP_SAP,V_CUSMEDLIQP_CAP,
                   V_CUSMEDBRUP_SAP,V_CUSMEDBRUP_CAP,
                   V_CUSULCLIQP_TSAP,V_CUSULCLIQP_TCAP,
                   V_CUSULCBRUP_TSAP,V_CUSULCBRUP_TCAP,
                   V_CUSMEDLIQP_TSAP,V_CUSMEDLIQP_TCAP,
                   V_CUSMEDBRUP_TSAP,V_CUSMEDBRUP_TCAP);

         /* Geral */
         V_CUSULCLIQGERT_SAP := V_CUSULCLIQGERT_SAP + V_CUSULCLIQP_TCAP;
         V_CUSULCBRUGERT_SAP := V_CUSULCBRUGERT_SAP + V_CUSULCBRUP_TCAP;
         V_CUSMEDLIQGERT_SAP := V_CUSMEDLIQGERT_SAP + V_CUSMEDLIQP_TCAP;
         V_CUSMEDBRUGERT_SAP := V_CUSMEDBRUGERT_SAP + V_CUSMEDBRUP_TCAP;

         IF P_IDINSEREP <> 'N' THEN
   			IF V_IDTPCUSTO <> 'C' THEN
               INSERT INTO CUSTOPRODUTO
               (CDRECPRIP, CDRECEITA, CDSEQCUSPR,
                CDFILIAL,CDSEQITEMPR,
                CDPRODUTO,QTCUSTOPRO,DTCUSTOPRO,
                DTHRGERCPRO,CDOPERCPRO,QTAPROVPRO,
                VRULTCLIQPRO,VRULTCBRUPRO,
                VRMEDILIQPRO,VRMEDIBRUPRO,
                VRUCLSAPPRO,VRUCBSAPPRO,
                VRMELSAPPRO,VRMEBSAPPRO)
               VALUES
               (V_RECEPRI, P_CDRECEITA, P_CDSEQCUSRE,
                P_CDFILIAL,LPAD(TO_CHAR(P_CDSEQITEM),10,'0'),
                V_CDPRODUTO,V_QTPRODREC,P_DTCUSTO,
                SYSDATE,P_CDOPERADOR,V_QTAPROVPRO,
                V_CUSULCLIQP_CAP,V_CUSULCBRUP_CAP,
                V_CUSMEDLIQP_CAP,V_CUSMEDBRUP_CAP,
                V_CUSULCLIQP_SAP,V_CUSULCBRUP_SAP,
                V_CUSMEDLIQP_SAP,V_CUSMEDBRUP_SAP);
            END IF;

            IF V_IDTPCUSTO <> 'G' THEN
               INSERT INTO CUSTOPROCIA
               (/*CDFILIPRIPC,*/CDRECPRIPC,CDSEQCUSPC,
                CDFILIAL,CDCIA,CDMANCIA,IDTPMANUAL,/*CDMANAP,*/CDSERVICO,
                /*CDCLASSE,CDCICLO,*/CDSUBGRU,CDSEQITEMCP,
                CDPRODUTO,QTCUSPROCIA,DTCUSPROCIA,
                DTHRGERPCIA,CDOPERPCIA,QTAPROVPCIA,
                VRULLIQPRCIA,VRULBRUPRCIA,
                VRMELIQPRCIA,VRMEBRUPRCIA,
                VRUCLSAPPCIA,VRUCBSAPPCIA,
                VRMELSAPPCIA,VRMEBSAPPCIA)
               VALUES
               (/*P_CDFILIREC,*/P_CDRECEITA,P_CDSEQCUSRE,
                P_CDFILIAL,P_CDCIA,V_CDMANCIA,P_IDTIPMAN,/*V_CDMANAP,*/P_CDSERVICO,
                /*P_CDCLASSE,P_CDCICLO,*/P_CDSUBGRU,
                LPAD(TO_CHAR(P_CDSEQITEM),10,'0'),
                V_CDPRODUTO,V_QTPRODREC,P_DTCUSTO,
                SYSDATE,P_CDOPERADOR,V_QTAPROVPRO,
                V_CUSULCLIQP_CAP,V_CUSULCBRUP_CAP,
                V_CUSMEDLIQP_CAP,V_CUSMEDBRUP_CAP,
                V_CUSULCLIQP_SAP,V_CUSULCBRUP_SAP,
                V_CUSMEDLIQP_SAP,V_CUSMEDBRUP_SAP);
            END IF;
         END IF;

      END LOOP;
   END IF;

   IF V_QTRENDREC <> 0 THEN
      /* Receitas */
      LOOP
         IF C_RECPAD%ISOPEN THEN
            FETCH C_RECPAD
            INTO V_CDSUBREC,V_QTRENDSREC;
            EXIT WHEN C_RECPAD%NOTFOUND;
				VERIFICA_ESPEPROD('P',V_CDSUBREC); /* Verifica a especificao para sub-receita padro */
         ELSIF C_RECLOC%ISOPEN THEN
            FETCH C_RECLOC
            INTO V_CDSUBREC,V_QTRENDSREC;
            EXIT WHEN C_RECLOC%NOTFOUND;
				VERIFICA_ESPEPROD('L',V_CDSUBREC); /* Verifica a especificao para sub-receita local */
         END IF;
         V_SEQ := P_CDSEQITEM;
         
         CUSTOREC(P_CDSEQCUSRE,P_IDTIPMAN,V_SEQ,V_IDTPCUSTO,V_IDINSEREP,V_IDINSERER,
                  P_CDFILIAL,P_CDCIA,P_CDMANCIA,P_CDSERVICO,/*P_CDCLASSE,
                  P_CDCICLO,*/P_CDSUBGRU,V_CDSUBREC,
                  V_RECEPRI,
                  V_QTRENDSREC,P_DTCUSTO,P_CDOPERADOR,
                  V_CUSULCLIQGER_SAP,V_CUSULCLIQGER_CAP,
                  V_CUSULCBRUGER_SAP,V_CUSULCBRUGER_CAP,
                  V_CUSMEDLIQGER_SAP,V_CUSMEDLIQGER_CAP,
                  V_CUSMEDBRUGER_SAP,V_CUSMEDBRUGER_CAP);

         V_CUSULCLIQGERT_SAP := V_CUSULCLIQGERT_SAP + V_CUSULCLIQGER_SAP;
         V_CUSULCBRUGERT_SAP := V_CUSULCBRUGERT_SAP + V_CUSULCBRUGER_SAP;
         V_CUSMEDLIQGERT_SAP := V_CUSMEDLIQGERT_SAP + V_CUSMEDLIQGER_SAP;
         V_CUSMEDBRUGERT_SAP := V_CUSMEDBRUGERT_SAP + V_CUSMEDBRUGER_SAP;

      END LOOP;
   END IF;
   ARREDONDE(V_CUSULCLIQGERT_SAP,3,V_CUSULCLIQGERT_CAP);
   ARREDONDE(V_CUSULCBRUGERT_SAP,3,V_CUSULCBRUGERT_CAP);
   ARREDONDE(V_CUSMEDLIQGERT_SAP,3,V_CUSMEDLIQGERT_CAP);
   ARREDONDE(V_CUSMEDBRUGERT_SAP,3,V_CUSMEDBRUGERT_CAP);

   /*Calcula o custo unitario da receita p/ gravar*/
   IF V_QTRENDREC <> 0 THEN
      ARREDONDE((V_CUSULCLIQGERT_SAP/V_QTRENDREC),3,V_CUSULCLIQGERT_SAP);
      ARREDONDE((V_CUSULCLIQGERT_CAP/V_QTRENDREC),3,V_CUSULCLIQGERT_CAP);
      ARREDONDE((V_CUSULCBRUGERT_SAP/V_QTRENDREC),3,V_CUSULCBRUGERT_SAP);
      ARREDONDE((V_CUSULCBRUGERT_CAP/V_QTRENDREC),3,V_CUSULCBRUGERT_CAP);
      ARREDONDE((V_CUSMEDLIQGERT_SAP/V_QTRENDREC),3,V_CUSMEDLIQGERT_SAP);
      ARREDONDE((V_CUSMEDLIQGERT_CAP/V_QTRENDREC),3,V_CUSMEDLIQGERT_CAP);
      ARREDONDE((V_CUSMEDBRUGERT_SAP/V_QTRENDREC),3,V_CUSMEDBRUGERT_SAP);
      ARREDONDE((V_CUSMEDBRUGERT_CAP/V_QTRENDREC),3,V_CUSMEDBRUGERT_CAP);
   END IF;

   IF P_IDINSERER <> 'N' THEN
   	IF V_IDTPCUSTO <> 'C' THEN
         /*IF P_CDSEQITEM IS NULL THEN
            P_CDSEQITEM := 0;
         END IF;
         P_CDSEQITEM := P_CDSEQITEM + 1;*/
         DBMS_OUTPUT.PUT_LINE('GRAVANDO RECEITA ' || P_CDRECEITA);
         INSERT INTO CUSTORECEITA
         (IDTIPRECE,CDRECPRI,CDSEQCUSRE,CDSEQITEMRC,
          CDRECEITA,QTCUSRECPRI,QTCUSTOREC,CDFILIAUXREC,
          DTCUSTOREC,CDOPERCREC,DTHRGERCREC,QTAPROVREC,
          VRCUSTOREC,VRCUSTORECE,
          VRCUSTOREC1,VRCUSTORECE1,
          VRUCLSAPREC,VRUCBSAPREC,
          VRMELSAPREC,VRMEBSAPREC)
         VALUES
         (V_IDTIPRECE,V_RECEPRI,P_CDSEQCUSRE,LPAD(TO_CHAR(P_CDSEQITEM),10,'0'),
          P_CDRECEITA,P_QTDERECE,V_QTRENDREC,P_CDFILIAL,
          P_DTCUSTO,P_CDOPERADOR,SYSDATE,V_QTAPROREC,
          V_CUSULCLIQGERT_CAP,V_CUSULCBRUGERT_CAP,
          V_CUSMEDLIQGERT_CAP,V_CUSMEDBRUGERT_CAP,
          V_CUSULCLIQGERT_SAP,V_CUSULCBRUGERT_SAP,
          V_CUSMEDLIQGERT_SAP,V_CUSMEDBRUGERT_SAP);
      END IF;

   	IF V_IDTPCUSTO <> 'G' THEN
         /*IF P_CDSEQITEM IS NULL THEN
            P_CDSEQITEM := 0;
         END IF;
         P_CDSEQITEM := P_CDSEQITEM + 1;*/

DBMS_OUTPUT.PUT_LINE(P_CDSEQCUSRE);
         INSERT INTO CUSTORECIA
         (IDTIPRECIA,/*CDFILIPRIC,*/CDRECPRIC,CDSEQCUSRC,
          CDFILIAL,CDCIA,CDMANCIA,IDTPMANUAL,/*CDMANAP,*/
          CDSERVICO,/*CDCLASSE,CDCICLO,*/CDSUBGRU,
          /*CDFILIREC,*/CDSEQITEMRE,
          CDRECEITA,QTCUSRCIAPRI,QTCUSTORECIA,
          CDFILIAUXRC,DTCUSRECCIA,CDOPECRECC,
          DTHRGERCRECC,QTAPROVRCIA,
          VRCUSRECCIA,VRCUSERECCIA,
          VRCUSRECCIA1,VRCUSERECIA1,
          VRUCLSAPRCIA,VRUCBSAPRCIA,
          VRMELSAPRCIA,VRMEBSAPRCIA)
         VALUES
         (V_IDTIPRECE,/*P_CDFILIPRI,*/V_RECEPRI,P_CDSEQCUSRE,
          P_CDFILIAL,P_CDCIA,V_CDMANCIA,P_IDTIPMAN,/*V_CDMANAP,*/
          P_CDSERVICO,/*P_CDCLASSE,P_CDCICLO,*/P_CDSUBGRU,
          /*P_CDFILIREC,*/LPAD(TO_CHAR(P_CDSEQITEM),10,'0'),
          P_CDRECEITA,P_QTDERECE,/*V_QTRENDRECIA,*/V_QTRENDREC,
          P_CDFILIAL,P_DTCUSTO,P_CDOPERADOR,
          SYSDATE,V_QTAPROREC,
          /*V_CUSULCLIQCIAT_CAP,V_CUSULCBRUCIAT_CAP,
          V_CUSMEDLIQCIAT_CAP,V_CUSMEDBRUCIAT_CAP,
          V_CUSULCLIQCIAT_SAP,V_CUSULCBRUCIAT_SAP,
          V_CUSMEDLIQCIAT_SAP,V_CUSMEDBRUCIAT_SAP);*/
          V_CUSULCLIQGERT_CAP,V_CUSULCBRUGERT_CAP,
          V_CUSMEDLIQGERT_CAP,V_CUSMEDBRUGERT_CAP,
          V_CUSULCLIQGERT_SAP,V_CUSULCBRUGERT_SAP,
          V_CUSMEDLIQGERT_SAP,V_CUSMEDBRUGERT_SAP);
      END IF;

   END IF;
--
   /*Calcula o custo da receita c/ a quantidade solicitada*/
   IF V_QTRENDREC <> 0 THEN
      V_CUSULCLIQGERT_SAP := ROUND(P_QTDERECE * V_CUSULCLIQGERT_SAP,3);
      V_CUSULCLIQGERT_CAP := ROUND(P_QTDERECE * V_CUSULCLIQGERT_CAP,3);
      V_CUSULCBRUGERT_SAP := ROUND(P_QTDERECE * V_CUSULCBRUGERT_SAP,3);
      V_CUSULCBRUGERT_CAP := ROUND(P_QTDERECE * V_CUSULCBRUGERT_CAP,3);
      V_CUSMEDLIQGERT_SAP := ROUND(P_QTDERECE * V_CUSMEDLIQGERT_SAP,3);
      V_CUSMEDLIQGERT_CAP := ROUND(P_QTDERECE * V_CUSMEDLIQGERT_CAP,3);
      V_CUSMEDBRUGERT_SAP := ROUND(P_QTDERECE * V_CUSMEDBRUGERT_SAP,3);
      V_CUSMEDBRUGERT_CAP := ROUND(P_QTDERECE * V_CUSMEDBRUGERT_CAP,3);
   END IF;

--raise_application_error( -20502, V_CUSMEDBRUCIAT_CAP, false);

   VRCUSULCLIQGER_SAP := V_CUSULCLIQGERT_SAP;
   VRCUSULCLIQGER_CAP := V_CUSULCLIQGERT_CAP;
   VRCUSULCBRUGER_SAP := V_CUSULCBRUGERT_SAP;
   VRCUSULCBRUGER_CAP := V_CUSULCBRUGERT_CAP;
   VRCUSMEDLIQGER_SAP := V_CUSMEDLIQGERT_SAP;
   VRCUSMEDLIQGER_CAP := V_CUSMEDLIQGERT_CAP;
   VRCUSMEDBRUGER_SAP := V_CUSMEDBRUGERT_SAP;
   VRCUSMEDBRUGER_CAP := V_CUSMEDBRUGERT_CAP;

END;
/

-- VERSAO --
BEGIN ATUVEROBJ('CUSTOREC','5.09.014'); END;
/
