/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PARAMPRODMRP                                             */
/* Tabela : PARAMPRODMRP                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 26/10/2004 - Andr Rodrigo                                                 */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PARAMPRODMRP'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PARAMPRODMRP
GO

CREATE TRIGGER DTULTATU_PARAMPRODMRP
ON PARAMPRODMRP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PARAMPRODMRP', CDFILIAL, 'CDFILIAL=' + CDFILIAL + ';' + 
                                                          'CDPRODUTO=' + CDPRODUTO + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PARAMPRODMRP
      SET DTULTATUPAPM = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(PARAMPRODMRP.CDFILIAL,0)   = ISNULL(INSERTED.CDFILIAL,0)) AND
            (ISNULL(PARAMPRODMRP.CDPRODUTO,0)  = ISNULL(INSERTED.CDPRODUTO,0)) AND
            (ISNULL(PARAMPRODMRP.HRENTRPROD,0) = ISNULL(INSERTED.HRENTRPROD,0));
   END;
END;
GO